seed(1)

NAME
seed - libseed JavaScript REPL/Interpreter.

SYNOPSIS
seed [OPTION...] [SCRIPT]

DESCRIPTION
seed acts as a simple read-eval-print loop for libseed's GObject JavaScriptCore bindings, unless the path to a script to interpret is specified.

OPTIONS

--help
    Show these help options.

--version
    Print interpreter version.

-e expression
    Takes the JavaScript expression, checks its syntax, and evaluates it, printing the return value.

--seed-debug=DEBUGFLAGS
    Show debug messages, filtered by the specified debug flags. If one wishes to see all possible debug messages, specify the flag "all" (keep in mind that this will produce a significant amount of output). Otherwise, specify a comma-separated list of: misc, finalization, initialization, signal, invocation, structs, construction, gtype, importer, module.

BUGS
Report bugs at http://bugzilla.gnome.org/ in the seed product.

HOMEPAGE and CONTACT
http://live.gnome.org/Seed

AUTHORS
Robert Carr <racarr@svn.gnome.org>

Tim Horton <hortont@svn.gnome.org>